# Generated by Django 3.0.5 on 2020-04-29 14:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('avatar', models.ImageField(blank=True, null=True, upload_to='avatars/%Y/%m/%d')),
                ('last_name', models.CharField(max_length=256)),
                ('first_name', models.CharField(max_length=256)),
                ('email', models.EmailField(max_length=254)),
            ],
        ),
        migrations.CreateModel(
            name='Election',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('start_date', models.DateTimeField()),
                ('end_date', models.DateTimeField()),
                ('application_due_date', models.DateTimeField()),
                ('max_votes_yes', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Voter',
            fields=[
                ('voter_id', models.IntegerField(primary_key=True, serialize=False)),
                ('password', models.CharField(max_length=256)),
                ('first_name', models.CharField(max_length=128)),
                ('last_name', models.CharField(max_length=128)),
                ('room', models.CharField(max_length=64)),
                ('email', models.EmailField(max_length=254)),
                ('voted', models.BooleanField(default=False)),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participants', to='vote.Election')),
            ],
        ),
        migrations.CreateModel(
            name='Vote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vote', models.CharField(choices=[('abstention', 'Abstention'), ('accept', 'Yes'), ('reject', 'No')], max_length=10)),
                ('candidate', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='votes', to='vote.Application')),
                ('election', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='votes', to='vote.Election')),
            ],
        ),
        migrations.AddField(
            model_name='application',
            name='voter',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='application', to='vote.Voter'),
        ),
    ]
